SDL_vsnprintf(3)

NAME
SDL_vsnprintf - This works exactly like vsnprintf() but doesn't require access to a C runtime.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

int SDL_vsnprintf(char *text, size_t maxlen, const char *fmt, va_list ap);

DESCRIPTION
Functions identically to SDL_snprintf(), except it takes a va_list instead of using ... variable arguments.

FUNCTION PARAMETERS

text
    the buffer to write the string into. Must not be NULL.

maxlen
    the maximum bytes to write, including the null-terminator.

fmt a printf-style format string. Must not be NULL.

ap  a va_list values to be used with the format string.

RETURN VALUE
Returns the number of bytes that should be written, not counting the null-terminator char, or a negative value on error.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.